import { TranslatableItem } from "./TranslatableItem";
export interface TranslatableCollectionProps {
    collectionId: string;
    items?: TranslatableItem[];
}
export declare class TranslatableCollection {
    private readonly props;
    private id?;
    constructor(props: TranslatableCollectionProps, id?: string);
    getId(): string | undefined;
    setId(id: string): void;
    getCollectionId(): string;
    getItems(): TranslatableItem[];
    setItems(items: TranslatableItem[]): void;
    getLastModified(): Date | undefined;
    getBaseValue(itemId: string): string | undefined;
    getItemContext(itemId: string): Record<string, any> | undefined;
    getItemModifiedOn(itemId: string): Date | undefined;
}
