import { PageBuilderStorageOperations, PageTemplatesCrud, PbContext } from "../../types";
import { PageTemplatesPermissions } from "./permissions/PageTemplatesPermissions";
export interface CreatePageTemplatesCrudParams {
    context: PbContext;
    storageOperations: PageBuilderStorageOperations;
    pageTemplatesPermissions: PageTemplatesPermissions;
    getTenantId: () => string;
    getLocaleCode: () => string;
}
export declare const createPageTemplatesCrud: (params: CreatePageTemplatesCrudParams) => PageTemplatesCrud;
