import { PageBuilderStorageOperations, PagesCrud, PbContext } from "../../types";
import { PagesPermissions } from "./permissions/PagesPermissions";
export interface CreatePageCrudParams {
    context: PbContext;
    storageOperations: PageBuilderStorageOperations;
    pagesPermissions: PagesPermissions;
    getTenantId: () => string;
    getLocaleCode: () => string;
}
export declare const createPageCrud: (params: CreatePageCrudParams) => PagesCrud;
