import { Identity } from "../../Identity";
interface TranslatedItemProps {
    itemId: string;
    value?: string;
    translatedOn?: Date;
    translatedBy?: Identity;
}
export declare class TranslatedItem {
    private readonly props;
    private constructor();
    get itemId(): string;
    get value(): string | undefined;
    get translatedOn(): Date | undefined;
    get translatedBy(): Identity | undefined;
    static create(props: TranslatedItemProps): TranslatedItem;
    translatedAfter(date: Date): boolean | undefined;
}
export {};
